#ifndef _LVE_H
#define _LVE_H 1

#include <SDL/SDL.h>

//-- default path + names --
#define PATH_LIB	"/usr/local/lve/lib/"
#define FN_SCREEN_BMP	"lve.bmp"

//-- player functions (actions) --
#define A_QUIT    1
#define A_PLAY    2
#define A_STOP    3
#define A_STEP    4

//-- player speeds (intervals) --
#define IV_NORM   (1000/25)
#define IV_FAST	  (IV_NORM/2)
#define IV_SLOW   (IV_NORM*2)

//-- stepwide -- 
#define STEPWIDE  25


typedef struct
{
  FILE          *file;
  Uint32	stream_num;
  SDL_Surface*  screen;
  Uint32	w;
  Uint32	h;
  Uint32 	n_frames;
  Uint8		**page;
  SDL_Overlay	*ov;
  int		action;
  int		show_fps;
  Uint32	iv;
  double	pos_ofs;
  double	act_pos;
  Uint32	bmp_y;
  int		refresh_bg;
} T_VIDEO;

#undef __EXTERN
#ifndef _LVE_
#define __EXTERN extern
#else
#define __EXTERN
#endif

#endif // _LVE_H
